package q;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.core.Response;

import org.eclipse.microprofile.rest.client.inject.RestClient;

import io.reactiverse.contextual.logging.ContextualData;

@Path(MyController.DOMAIN)
public class MyController {

	public static final String CTX_KEY = "myKey";
	
	public static final String DOMAIN = "my";
	public static final String EP1 = "/ep1/";
	public static final String EP2 = "ep2/";
	
	@RestClient
	MyClient client;
	@GET
	@Path(EP1)
	public Response ep1() {
		
		ContextualData.put(CTX_KEY, "CTX");
		return client.id();
	}
	
	@GET
	@Path(EP2)
	public Response ep2() {
		return Response.ok().build();
	}
	
}
