package q;

import static io.restassured.RestAssured.given;
import static org.apache.http.HttpStatus.SC_OK;

import javax.ws.rs.core.MediaType;

import org.junit.jupiter.api.Test;

import io.quarkus.test.junit.QuarkusTest;
import io.restassured.specification.RequestSpecification;

@QuarkusTest
public class MyTest {
	
	@Test
	void success() throws Exception {
		
		get(MyController.DOMAIN + MyController.EP1);
	}
	
	private void get(String operation) {
		
		RequestSpecification rs = given().contentType(MediaType.APPLICATION_JSON);
		rs.get(operation).then().statusCode(SC_OK);
	}
}
